CVE-2004-2538
CVSS6.5
发布时间 :2004-12-31 00:00:00
修订时间 :2008-09-05 16:44:25
NMCO    

[原文]Direct static code injection vulnerability in the PCG simple application generation in phpCodeGenie before 3.0.2 allows remote authenticated users to execute arbitrary code via the (1) header or (2) footer.


[CNNVD]phpCodeGenie PHP代码注入漏洞(CNNVD-200412-391)

        phpCodeGenie 3.0.2以前版本的PCG简单应用生成器存在直接静态代码注入漏洞。远程授权用户可以借助(1) header或(2)footer执行任意代码。

- CVSS (基础分值)

CVSS分值: 6.5 [中等(MEDIUM)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: [--]

- CPE (受影响的平台与产品)

cpe:/a:nilesh_dosooye:phpcodegenie:3.0_alpha
cpe:/a:nilesh_dosooye:phpcodegenie:3.0.1
cpe:/a:nilesh_dosooye:phpcodegenie:1.4
cpe:/a:nilesh_dosooye:phpcodegenie:1.21
cpe:/a:nilesh_dosooye:phpcodegenie:3.0_beta
cpe:/a:nilesh_dosooye:phpcodegenie:1.1

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2004-2538
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2004-2538
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200412-391
(官方数据源) CNNVD

- 其它链接及资源

http://www.securityfocus.com/bid/11524
(PATCH)  BID  11524
http://securitytracker.com/id?1011911
(PATCH)  SECTRACK  1011911
http://secunia.com/advisories/12853
(VENDOR_ADVISORY)  SECUNIA  12853
http://xforce.iss.net/xforce/xfdb/17848
(UNKNOWN)  XF  phpcodegenie-header-footer-command-execution(17848)
http://www.osvdb.org/11102
(UNKNOWN)  OSVDB  11102
http://phpcodegenie.sourceforge.net/phpCodeGenie/docs/ChangeLog.txt
(UNKNOWN)  CONFIRM  http://phpcodegenie.sourceforge.net/phpCodeGenie/docs/ChangeLog.txt

- 漏洞信息

phpCodeGenie PHP代码注入漏洞
中危 输入验证
2004-12-31 00:00:00 2006-01-24 00:00:00
远程  
        phpCodeGenie 3.0.2以前版本的PCG简单应用生成器存在直接静态代码注入漏洞。远程授权用户可以借助(1) header或(2)footer执行任意代码。

- 公告与补丁

        This issue has been addressed in phpCodeGenie 3.0.2.
        phpCodeGenie phpCodeGenie 1.1
        
        phpCodeGenie phpCodeGenie 1.21
        
        phpCodeGenie phpCodeGenie 1.4
        
        phpCodeGenie phpCodeGenie 3.0 alpha
        

- 漏洞信息

11102
phpCodeGenie PCG Simple Application Customer Header / Footer Arbitrary Code Execution
Remote / Network Access Input Manipulation
Loss of Integrity
Exploit Public Vendor Verified

- 漏洞描述

phpCodeGenie (PCG) contains a flaw that allows a remote cross site scripting attack. This flaw exists because the application does not validate variables upon submission to the header and footer textbox. This could allow a user to create a specially crafted URL that would execute arbitrary code in a user's browser within the trust relationship between the browser and the server, leading to a loss of integrity.

- 时间线

2004-10-23 Unknow
Unknow Unknow

- 解决方案

Upgrade to version 3.0.3 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

Unknown or Incomplete
 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站